DataSource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.protocol
Class DataSource

    java.lang.Object
      javax.media.protocol.DataSource

All Implemented Interfaces:
  Duration, Controls

Direct Known Subclasses:
  DripFeedDataSource, PullDataSource, PushDataSource

    public abstract class DataSource

extends Object
implements Controls, Duration

Field Summary

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Constructor Summary
`DataSource()`
`DataSource(MediaLocator source)`

Method Summary
`abstract void` | `connect()`
`abstract void` | `disconnect()`
`abstract String` | `getContentType()`
`MediaLocator` | `getLocator()`
`void` | `setLocator(MediaLocator source)`
`abstract void` | `start()`
`abstract void` | `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.media.protocol.Controls
`getControl, getControls`

Methods inherited from interface javax.media.Duration
`getDuration`

Constructor Detail

### DataSource

    public DataSource()

### DataSource

    public DataSource(MediaLocator source)

Method Detail

### setLocator

    public void setLocator(MediaLocator source)

### getLocator

    public MediaLocator getLocator()

### getContentType

    public abstract String getContentType()

### connect

    public abstract void connect()
                          throws IOException

  Throws:
    `IOException`

### disconnect

    public abstract void disconnect()

### start

    public abstract void start()
                        throws IOException

  Throws:
    `IOException`

### stop

    public abstract void stop()
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD